itpp::Weibull_RNG Class Reference
Base Module » Random Number Generation

Weibull distribution. More...

`#include <itpp/base/random.h>`

## Public Member Functions

| Weibull_RNG (double lambda=1.0, double beta=1.0)
| Constructor. Set lambda and beta.
void | setup (double lambda, double beta)
| Set lambda, and beta.
void | get_setup (double &lambda, double &beta)
| Get lambda and beta.
double | operator() ()
| Get one sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Weibull distribution.

Definition at line 705 of file random.h.

The documentation for this class was generated from the following files:

- itpp/base/random.h
- itpp/base/random.cpp

Generated on Tue Aug 17 2021 10:59:15 for IT++ by Doxygen 1.9.1